~arsen/binutils-gdb

4e99ca5d8ea4a207b08001d5d7192d79e489a9d3 — Iain Sandoe 3 years ago 200607a
Darwin : Update libtool and dependencies for Darwin20 [PR97865]

The change in major version (and the increment from Darwin19 to 20)
caused libtool tests to fail which resulted in incorrect build settings
for shared libraries.

We take this opportunity to sort out the shared undefined symbols state
rather than propagating the current unsound behaviour into a new rev.

This change means that we default to the case that missing symbols are
considered an error, and if one wants to allow this intentionally, the
confiuration for that case should be set appropriately.

Three existing cases need undefined dynamic lookup:
 libitm, where there is already a configuration mechanism to add the
         flags.
 libcc1, where we add simple configuration to add the flags for Darwin.
 libsanitizer, where we can add to the existing extra flags.

ChangeLog:

	PR target/97865
	* libtool.m4: Update handling of Darwin platform link flags
	for Darwin20.

bfd/ChangeLog:

	configure: Regenerate.

binutils/ChangeLog:

	configure: Regenerate.

gas/ChangeLog:

	configure: Regenerate.

gprof/ChangeLog:

	configure: Regenerate.

ld/ChangeLog:

	configure: Regenerate.

libbacktrace/ChangeLog:

	configure: Regenerate.

libctf/ChangeLog:

	configure: Regenerate.

opcodes/ChangeLog:

	configure: Regenerate.

zlib/ChangeLog:

	configure: Regenerate.
M bfd/configure => bfd/configure +18 -16
@@ 7621,23 7621,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 11106,7 11108,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11109 "configure"
#line 11111 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 11212,7 11214,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11215 "configure"
#line 11217 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M binutils/configure => binutils/configure +18 -16
@@ 7301,23 7301,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 10817,7 10819,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10820 "configure"
#line 10822 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 10923,7 10925,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10926 "configure"
#line 10928 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M gas/configure => gas/configure +18 -16
@@ 7210,23 7210,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 10726,7 10728,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10729 "configure"
#line 10731 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 10832,7 10834,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10835 "configure"
#line 10837 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M gdb/configure => gdb/configure +18 -16
@@ 7931,23 7931,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 11448,7 11450,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11451 "configure"
#line 11453 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 11554,7 11556,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11557 "configure"
#line 11559 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M gprof/configure => gprof/configure +18 -16
@@ 7088,23 7088,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 10604,7 10606,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10607 "configure"
#line 10609 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 10710,7 10712,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10713 "configure"
#line 10715 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M gprofng/configure => gprofng/configure +18 -16
@@ 8737,23 8737,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 12224,7 12226,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 12227 "configure"
#line 12229 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 12330,7 12332,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 12333 "configure"
#line 12335 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M ld/configure => ld/configure +18 -16
@@ 8108,23 8108,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 11625,7 11627,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11628 "configure"
#line 11630 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 11731,7 11733,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11734 "configure"
#line 11736 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M libbacktrace/configure => libbacktrace/configure +18 -16
@@ 8024,23 8024,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 11540,7 11542,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11543 "configure"
#line 11545 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 11646,7 11648,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11649 "configure"
#line 11651 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M libctf/configure => libctf/configure +18 -16
@@ 8145,23 8145,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 11631,7 11633,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11634 "configure"
#line 11636 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 11737,7 11739,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11740 "configure"
#line 11742 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M libsframe/configure => libsframe/configure +18 -16
@@ 8000,23 8000,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 11486,7 11488,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11489 "configure"
#line 11491 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 11592,7 11594,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11595 "configure"
#line 11597 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M libtool.m4 => libtool.m4 +17 -15
@@ 994,23 994,25 @@ _LT_EOF
        rm -f conftest.err libconftest.a conftest conftest.c
        rm -rf conftest.dSYM
    ])
    case $host_os in
    rhapsody* | darwin1.[[012]])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[[012]])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[[91]]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[[89]]*|UNSET,*-darwin[[12]][[0123456789]]*)
	  ;;
	10.[[012]][[,.]]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 1033,7 1035,7 @@ _LT_EOF

# _LT_DARWIN_LINKER_FEATURES
# --------------------------
# Checks for linker and compiler features on darwin
# Checks for linker and compiler features on Darwin / macOS / iOS
m4_defun([_LT_DARWIN_LINKER_FEATURES],
[
  m4_require([_LT_REQUIRED_DARWIN_CHECKS])

M opcodes/configure => opcodes/configure +18 -16
@@ 7555,23 7555,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 11041,7 11043,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11044 "configure"
#line 11046 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 11147,7 11149,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 11150 "configure"
#line 11152 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M sim/configure => sim/configure +18 -16
@@ 8095,23 8095,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 12257,7 12259,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 12260 "configure"
#line 12262 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 12363,7 12365,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 12366 "configure"
#line 12368 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H

M zlib/configure => zlib/configure +18 -16
@@ 6901,23 6901,25 @@ _LT_EOF
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $lt_cv_ld_force_load" >&5
$as_echo "$lt_cv_ld_force_load" >&6; }
    case $host_os in
    rhapsody* | darwin1.[012])
    # Allow for Darwin 4-7 (macOS 10.0-10.3) although these are not expect to
    # build without first building modern cctools / linker.
    case $host_cpu-$host_os in
    *-rhapsody* | *-darwin1.[012])
      _lt_dar_allow_undefined='${wl}-undefined ${wl}suppress' ;;
    darwin1.*)
    *-darwin1.*)
      _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
    darwin*) # darwin 5.x on
      # if running on 10.5 or later, the deployment target defaults
      # to the OS version, if on x86, and 10.4, the deployment
      # target defaults to 10.4. Don't you love it?
      case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
    *-darwin*)
      # darwin 5.x (macOS 10.1) onwards we only need to adjust when the
      # deployment target is forced to an earlier version.
      case ${MACOSX_DEPLOYMENT_TARGET-UNSET},$host in
	UNSET,*-darwin[89]*|UNSET,*-darwin[12][0123456789]*)
	  ;;
	10.[012][,.]*)
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
	10.*)
	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
      esac
	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress'
	  ;;
	*)
	  ;;
     esac
    ;;
  esac
    if test "$lt_cv_apple_cc_single_mod" = "yes"; then


@@ 10711,7 10713,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10714 "configure"
#line 10716 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H


@@ 10817,7 10819,7 @@ else
  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  lt_status=$lt_dlunknown
  cat > conftest.$ac_ext <<_LT_EOF
#line 10820 "configure"
#line 10822 "configure"
#include "confdefs.h"

#if HAVE_DLFCN_H